package com.css.simulation.resource.server.infra.mq.kafka;

import org.apache.kafka.clients.producer.Partitioner;
import org.apache.kafka.common.Cluster;
import org.springframework.context.annotation.Configuration;

import java.util.Map;


/**
 * 自定义分区器
 */
@Configuration
public class ApacheKafkaPartitioner implements Partitioner {


    /**
     * 返回分区值。
     * 全部发送到 0 号分区, 保证消息有序性
     */
    @Override
    public int partition(String s, Object o, byte[] bytes, Object o1, byte[] bytes1, Cluster cluster) {

        return 0;
    }

    @Override
    public void close() {

    }

    @Override
    public void configure(Map<String, ?> map) {

    }
}
